Avro C#

Public Member Functions | Properties | List of all members
Avro.Generic.GenericEnum Class Reference

The default class to hold values for enum schema in GenericReader and GenericWriter. More...

## Public Member Functions
| GenericEnum (EnumSchema schema, string value)
| Initializes a new instance of the GenericEnum class. More...
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Properties
EnumSchema | Schema`[get]`
| Schema for this enum. More...
string | Value`[get, set]`
| Value of the enum. More...

## Detailed Description

The default class to hold values for enum schema in GenericReader and GenericWriter.

## Constructor & Destructor Documentation

## ◆ GenericEnum()

Avro.Generic.GenericEnum.GenericEnum | ( | EnumSchema | schema,
|  | string | value
| ) |  |
| inline

Initializes a new instance of the GenericEnum class.

Parameters

  schema | Schema for this enum.
  value | Value of the enum.

## Property Documentation

## ◆ Schema

EnumSchema Avro.Generic.GenericEnum.Schema
| get

Schema for this enum.

## ◆ Value

string Avro.Generic.GenericEnum.Value
| get set

Value of the enum.

The documentation for this class was generated from the following file:

- src/apache/main/Generic/GenericEnum.cs